Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453050 - file_stats[curr, prev].cpu_* values of sar show innacurate CPU usage.
Summary: file_stats[curr, prev].cpu_* values of sar show innacurate CPU usage.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sysstat
Version: 4.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ivana Varekova
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 21:50 UTC by ritz
Modified: 2018-10-20 02:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 20:05:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0953 normal SHIPPED_LIVE sysstat bug fix update 2009-05-18 13:23:39 UTC

Description ritz 2008-06-26 21:50:07 UTC
Description of problem:
file_stats[curr, prev].cpu_* values differ from the output of sadc where the
values overflows.

Version-Release number of selected component (if applicable):
sysstat-5.0.5-19.el4

How reproducible:
always

Steps to Reproduce:
I have upload the data file (sa20080625-ia64) which is created by sar.
Execute the following command, the data of 17:43 can not be displayed.
# sar -u -s 17:40:00 -e 17:50:00 -f ./sa20080625-ia64
  
Actual results:
the data of 17:43 can not be displayed.

Expected results:
the data of 17:43 should be displayed.

Additional info:

Comment 1 ritz 2008-06-26 21:51:15 UTC
Created attachment 310387 [details]
sar file

Comment 15 RHEL Product and Program Management 2008-09-05 17:07:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 20 errata-xmlrpc 2009-05-18 20:05:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0953.html


Note You need to log in before you can comment on or make changes to this bug.